Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string
required

Body

application/json
label
string
Example:

"My Prompt"

description
string
Example:

"This is a description"

content
string
Example:

"You are a helpful assistant..."

context_endpoint
string
Example:

"https://api.example.com/context"

collect_fields
string[]
deprecated
type
enum<string>
Available options:
prompt,
block
Example:

"prompt"

tags
string[]
Example:
prompt_template
object
deprecated

Response

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

user_id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

label
string
Example:

"My Prompt"

description
string
Example:

"This is a description"

content
string
Example:

"You are a helpful assistant..."

context_endpoint
string
Example:

"https://api.example.com/context"

collect_fields
string[]
deprecated
type
enum<string>
Available options:
prompt,
block
Example:

"prompt"

tags
string[]
Example:
prompt_template
object
deprecated